Cantera 2.6.0

Public Member Functions | List of all members
UnknownThermoPhaseModel Class Reference

Specific error to be thrown if the type of Thermo manager is unrecognized. More...

`#include <ThermoFactory.h>`

Inheritance diagram for UnknownThermoPhaseModel:
[legend]
Collaboration diagram for UnknownThermoPhaseModel:
[legend]

## Public Member Functions
| UnknownThermoPhaseModel (const std::string &proc, const std::string &thermoModel)
| Constructor. More...
Public Member Functions inherited from CanteraError
template<typename... Args>
| CanteraError (const std::string &procedure, const std::string &msg, const Args &... args)
| Normal Constructor for the CanteraError base class. More...
virtual | ~CanteraError () throw ()
| Destructor for base class does nothing. More...
const char * | what () const throw ()
| Get a description of the error. More...
virtual std::string | getMessage () const
| Method overridden by derived classes to format the error message. More...
virtual std::string | getClass () const
| Method overridden by derived classes to indicate their type. More...

## Additional Inherited Members
Protected Member Functions inherited from CanteraError
| CanteraError ()
| Protected default constructor discourages throwing errors containing no information. More...
| CanteraError (const std::string &procedure)
| Constructor used by derived classes that override getMessage() More...
Protected Attributes inherited from CanteraError
std::string | procedure_
| The name of the procedure where the exception occurred. More...
std::string | formattedMessage_
| Formatted message returned by what() More...

## Detailed Description

Specific error to be thrown if the type of Thermo manager is unrecognized.

This particular error class may be caught, if the application may have other models that the main Cantera application doesn't know about.

Deprecated:
  Unused. To be removed after Cantera 2.6.

Definition at line 35 of file ThermoFactory.h.

## Constructor & Destructor Documentation

## ◆ UnknownThermoPhaseModel()

UnknownThermoPhaseModel | ( | const std::string & | proc,
|  | const std::string & | thermoModel
| ) |  |
| inline

Constructor.

Parameters

  proc | Function name where the error occurred.
  thermoModel | Sting name of ThermoPhase which didn't match

Definition at line 43 of file ThermoFactory.h.

References Cantera::warn_deprecated().

The documentation for this class was generated from the following file:

- ThermoFactory.h